"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

exports.default = function () {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { loaded: false };
    var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    switch (action.type) {
        case GET_PROPERTY_LOADING:
            return (0, _extends3.default)({}, state, {
                loading: true,
                loaded: false
            });
        case GET_PROPERTY_SUCCESS:
            return (0, _extends3.default)({}, state, {
                loading: false,
                loaded: true,
                data: action.result.data
            });
        case GET_PROPERTY_FAIL:
            return (0, _extends3.default)({}, state, {
                loading: false,
                loaded: false,
                error: action.msg
            });
        default:
            return state;

    }
};

exports.queryProperties = queryProperties;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var GET_PROPERTY_LOADING = "getPropertiesByParam/GET_PROPERTY_LOADING";
var GET_PROPERTY_SUCCESS = "getPropertiesByParam/GET_PROPERTY_SUCCESS";
var GET_PROPERTY_FAIL = "getPropertiesByParam/GET_PROPERTY_FAIL";

function queryProperties(params) {
    return {
        types: [GET_PROPERTY_LOADING, GET_PROPERTY_SUCCESS, GET_PROPERTY_FAIL],
        promise: function promise(client) {
            return client.get('/platform/propertiesConfig/getPropertiesByParam?groupId=SWITCH', {
                params: params
            });
        }
    };
}
//# sourceMappingURL=getProperties_redux.js.map